Uploaded image for project: 'TinkerPop'
  1. TinkerPop
  2. TINKERPOP-2165

Prefer commons-lang3 to commons-lang

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: 3.3.5
    • Fix Version/s: 3.3.6, 3.4.1
    • Component/s: build-release
    • Labels:
      None

      Description

      The commons-lang dependency is for 2.x and its last release goes back to 2011. I think our code references some of its classes, mostly because the IDE defaulted it that way on auto-import. Unfortunately, we can't lift it out completely without bumping commons-configuration which still depends on 2.x and that can't be done without a breaking change. I imagine we should consider that for TinkerPop 3.5.x and deprecate the use of that module in favor of the new Configuration 2.x, but I think that's for a different day. Looked into it a bit and it was a small mess.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                spmallette Stephen Mallette
                Reporter:
                spmallette Stephen Mallette
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: